<template>
    <b-modal :id="'modal-track-'+order.order_id"
        lazy
        ok-title="Cancel"
        ok-only
        ok-variant="secondary"
        scrollable
        size="lg"
        v-model="showModel"
        @hidden="onModalHide"
        >
        <template #modal-header="{ close }">
            <div class="align-self-center">
                <h4 class="mb-0">{{trans.get('__JSON__.Track Driver')}}</h4>
            </div>
            <div class="align-items-center d-flex">
                <h4 class="mb-0">{{order.order_id}}</h4>
                <b-button variant="link" aria-label="Close"  @click="close()"><i class="fas fa-times text-black-50"></i></b-button>
            </div>
        </template>
        <div class="row">
            <div class="col-12">
                <div class="h-500">
                    <iframe class="iframe" v-if="url != ''" :src="url" :title="config.dunzodrivername + ' order tracking'"></iframe>
                </div>
            </div>
        </div>
    </b-modal>
</template>

<script>
import config from '../../../config';
export default {
    props: ['order'],
    data(){
        return {
            config: config,
            showModel:true,
            url:''
        }
    },
    mounted() {
        if (this.order && this.order.is_dunzo_driver == '1') {
            if (this.order.dunzo_driver) {
                if (this.order.dunzo_driver.tracking_url != '' && this.order.dunzo_driver.tracking_url != null) {
                    this.url = this.order.dunzo_driver.tracking_url;
                }
            }
        }
    },
    methods : {
        onModalHide(){
            this.showModel = false;
            this.$emit('hidden');
        }
    }
}
</script>
<style scoped>
.h-500{
  height: 62vh;
}
.iframe {
    width: 100%;
    height: 100%;
}
</style>